//---------------------------------------------------------------------------

#ifndef URLDlgsH
#define URLDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>

#include "StatsWins4.h"
//---------------------------------------------------------------------------

bool __fastcall OpenURLManager(TQSStatsWin4 *Owner, const AnsiString &FileName,
   TStrings *Proxy);

class TURLDlg : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TMemo *Editor;
        TButton *RefreshBtn;
        TProgressBar *ProgressBar;
        TButton *HelpBtn;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall RefreshBtnClick(TObject *Sender);
        void __fastcall CancelBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        TStrings *Proxy;
        TStringList *OrgPage;
        bool Cancel, Working, ViewBogus, OrgModified;
        AnsiString FileName, ModifiedDate;
        __fastcall TURLDlg(TComponent* Owner);
        __fastcall virtual ~TURLDlg();
        void __fastcall LoadFile(const AnsiString &FileName);
        void __fastcall DisplayNewPage(TStrings *Page);
        bool __fastcall Refresh();
        void __fastcall Save();
};
//---------------------------------------------------------------------------
extern PACKAGE TURLDlg *URLDlg;
//---------------------------------------------------------------------------
#endif
