# ---------------------------------------------------------------------------
!if !$d(BCB)
BCB = $(MAKEDIR)\..
!endif

# ---------------------------------------------------------------------------
# IDE SECTION
# ---------------------------------------------------------------------------
# The following section of the project makefile is managed by the BCB IDE.
# It is recommended to use the IDE to change any of the values in this
# section.
# ---------------------------------------------------------------------------

VERSION = BCB.06.00
# ---------------------------------------------------------------------------
PROJECT = $(BCB)\Projects\QS2v\QSStats.exe
OBJFILES = obj\QSStats.obj obj\URLDlgs.obj obj\StatsWins4.obj \
    obj\UpdateSelectDlgs.obj obj\StatsOptionsDlgs.obj obj\NewMixKeyWins.obj \
    obj\RearrangeDlgs.obj obj\RemailerDocs.obj obj\Global2.obj \
    obj\AboutDlgs2.obj obj\ViewBarredDlgs.obj obj\PrntSelPagesDlgs.obj \
    obj\BarEditDlgs.obj obj\HistoryWins.obj obj\BarRemsDlgs2.obj \
    obj\ChkAddKeysDlgs.obj
RESFILES = QSStats.res
MAINSOURCE = QSStats.cpp
RESDEPEN = $(RESFILES) URLDlgs.dfm StatsWins4.dfm UpdateSelectDlgs.dfm \
    StatsOptionsDlgs.dfm NewMixKeyWins.dfm RearrangeDlgs.dfm AboutDlgs2.dfm \
    ViewBarredDlgs.dfm PrntSelPagesDlgs.dfm BarEditDlgs.dfm \
    ..\shared\HistoryWins.dfm BarRemsDlgs2.dfm ChkAddKeysDlgs.dfm
LIBFILES = 
IDLFILES = 
IDLGENFILES = 
LIBRARIES = 
PACKAGES = vcl.bpi rtl.bpi vclx.bpi bcbsmp.bpi dbrtl.bpi adortl.bpi vcldb.bpi \
    qrpt.bpi bdertl.bpi vcldbx.bpi dsnap.bpi cds.bpi bdecds.bpi teeui.bpi \
    teedb.bpi tee.bpi teeqr.bpi ibxpress.bpi visualclx.bpi visualdbclx.bpi \
    vclie.bpi xmlrtl.bpi inet.bpi inetdbbde.bpi inetdbxpress.bpi inetdb.bpi \
    nmfast.bpi bcbie.bpi soaprtl.bpi dclocx.bpi dbexpress.bpi dbxcds.bpi \
    bcb2kaxserver.bpi QShttp.bpi QSdb.bpi QSbmp.bpi QSprint.bpi IcsBcb60.bpi
SPARELIBS = vcl.lib rtl.lib bcbie.lib vclx.lib nmfast.lib IcsBcb60.lib
DEFFILE = 
OTHERFILES = 
# ---------------------------------------------------------------------------
DEBUGLIBPATH = $(BCB)\lib\debug
RELEASELIBPATH = $(BCB)\lib\release
USERDEFINES = _DEBUG
SYSDEFINES = _RTLDLL;NO_STRICT;USEPACKAGES
INCLUDEPATH = $(BCB)\Projects\QS2v\nyms;$(BCB)\Projects\QS2v\stats;$(BCB)\Projects\QS2v\proxies;$(BCB)\Projects\QS2v\shared;$(BCB)\Projects\QS2v\http2;$(BCB)\Projects\QS2v\pgp2;$(BCB)\Projects\QS2v\print;$(BCB)\Projects\QS2v\db2;$(BCB)\Projects\QS2v\bmp;$(BCB)\3rdparty\ICS\Delphi\Vc32;$(BCB)\include\vcl;$(BCB)\include
LIBPATH = $(BCB)\Projects\QS2v\nyms;$(BCB)\Projects\QS2v\db2;$(BCB)\Projects\QS2v\proxies;$(BCB)\Projects\QS2v\bmp\256;$(BCB)\Projects\QS2v\stats;$(BCB)\Projects\QS2v\shared;$(BCB)\projects\qs2v\bpi;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\projects\lib
WARNINGS= -w8092 -w8091 -w8090 -w8089 -w8087 -wprc -wuse -wucp -wstv -wstu -wsig \
    -wpin -w-par -wnod -wnak -wdef -wcln -wbbf -wasm -wamp -wamb
PATHCPP = .;..\shared
PATHASM = .;
PATHPAS = .;
PATHRC = .;
PATHOBJ = .;$(LIBPATH)
# ---------------------------------------------------------------------------
CFLAG1 = -Od -H=$(BCB)\lib\vcl60.csm -Hc -Vx -Ve -X- -r- -a8 -b- -k -y -v -vi- -c \
    -tW -tWM
IDLCFLAGS = 
PFLAGS = -N2$(BCB)\Projects\QS2v\stats\obj -N0$(BCB)\Projects\QS2v\stats\obj -$YD \
    -$W -$O- -$A8 -v -JPHNE -M
RFLAGS = 
AFLAGS = /mx /w2 /zd
LFLAGS = -l$(BCB)\Projects\QS2v\bpi -I$(BCB)\Projects\QS2v\stats\obj -D"" -aa -Tpe \
    -x -Gn -w -v
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(PACKAGES) Memmgr.Lib sysinit.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) $(LIBRARIES) import32.lib cp32mti.lib
# ---------------------------------------------------------------------------
!ifdef IDEOPTIONS

[Version Info]
IncludeVerInfo=0
AutoIncBuild=0
MajorVer=1
MinorVer=0
Release=0
Build=0
Debug=0
PreRelease=0
Special=0
Private=0
DLL=0

[Version Info Keys]
CompanyName=
FileDescription=
FileVersion=1.0.0.0
InternalName=
LegalCopyright=
LegalTrademarks=
OriginalFilename=
ProductName=
ProductVersion=1.0.0.0
Comments=

[Debugging]
DebugSourceDirs=$(BCB)\source\vcl

!endif





# ---------------------------------------------------------------------------
# MAKE SECTION
# ---------------------------------------------------------------------------
# This section of the project file is not used by the BCB IDE.  It is for
# the benefit of building from the command-line using the MAKE utility.
# ---------------------------------------------------------------------------

.autodepend
# ---------------------------------------------------------------------------
!if "$(USERDEFINES)" != ""
AUSERDEFINES = -d$(USERDEFINES:;= -d)
!else
AUSERDEFINES =
!endif

!if !$d(BCC32)
BCC32 = bcc32
!endif

!if !$d(CPP32)
CPP32 = cpp32
!endif

!if !$d(DCC32)
DCC32 = dcc32
!endif

!if !$d(TASM32)
TASM32 = tasm32
!endif

!if !$d(LINKER)
LINKER = ilink32
!endif

!if !$d(BRCC32)
BRCC32 = brcc32
!endif


# ---------------------------------------------------------------------------
!if $d(PATHCPP)
.PATH.CPP = $(PATHCPP)
.PATH.C   = $(PATHCPP)
!endif

!if $d(PATHPAS)
.PATH.PAS = $(PATHPAS)
!endif

!if $d(PATHASM)
.PATH.ASM = $(PATHASM)
!endif

!if $d(PATHRC)
.PATH.RC  = $(PATHRC)
!endif

!if $d(PATHOBJ)
.PATH.OBJ  = $(PATHOBJ)
!endif
# ---------------------------------------------------------------------------
$(PROJECT): $(OTHERFILES) $(IDLGENFILES) $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) -L$(LIBPATH) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!
# ---------------------------------------------------------------------------
.pas.hpp:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.pas.obj:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.cpp.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.cpp.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.asm.obj:
    $(BCB)\BIN\$(TASM32) $(AFLAGS) -i$(INCLUDEPATH:;= -i) $(AUSERDEFINES) -d$(SYSDEFINES:;= -d) $<, $@

.rc.res:
    $(BCB)\BIN\$(BRCC32) $(RFLAGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -fo$@ $<



# ---------------------------------------------------------------------------




